import api
import time
import json

from prometheus_client import Counter, Gauge, Summary, Histogram, start_http_server

g_raw = Gauge('testPythonSnapshotRaw', 'test sample')
g_topic = Gauge('testPythonSnapshotTopic', 'test sample')
g_custom = Gauge('testPythonCustomSnapshot', 'test sample')

start_http_server(8083)

while True:
    result_raw = api.get_snapshot_api(access_key_id="", access_key_secret="",
                                      endpoint="", iot_instance_id="",
                                      product_key="", device_name="")
    g_raw.set(result_raw.body.data.list.property_status_info[0].value)
    
    result_topic = api.get_snapshot_topic_api(access_key_id="", access_key_secret="",
                                              endpoint="", iot_instance_id="",
                                              product_key="", device_name="", asc="0",
                                              page_size="1", user_topic="")
    g_topic.set(result_topic.body.data.list.property_status_data_info[0].value)

    result_json = api.get_custom_snapshot_api(access_key_id="", access_key_secret="",
                                          endpoint="", iot_instance_id="",
                                          table_name="")
    result_custom = json.loads(result_json.body.data.result_json)  
    for row in result_custom:
        g_custom.set(row[""])
    
    time.sleep(3)

